apiVersion: apps/v1
kind: Deployment
metadata:
  name: auth-server-deployment
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      app: auth-server
  template:
    metadata:
      labels:
        app: auth-server
    spec:
      containers:
      - name: auth-server
        image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
        imagePullPolicy: "{{ .Values.image.pullPolicy }}"
        env:
        - name: FRONT_END_URL
          value: "{{ .Values.image.frontEndURL }}"
        - name: AUTH_SERVER_URL
          value: "{{ .Values.image.authServerURL }}"
        - name: IDP_URL
          value: "{{ .Values.image.idpURL }}"
        - name: IDP_CLIENT_ID
          value: "{{ .Values.image.idpClientID }}"
        - name: IDP_CLIENT_SECRET
          value: "{{ .Values.image.idpClientSecret }}"
        ports:
        - containerPort: 8080
